<?php

namespace Database\Seeders;

use App\Models\User;
use App\Models\Product;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Hash;
use Faker\Factory as Faker;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     */
    public function run(): void
    {
        $faker = Faker::create();

        for ($i = 0; $i < 10; $i++) {
            User::create([
                'firstname' => $faker->firstName,
                'lastname' => $faker->lastName,
                'phone' => $faker->phoneNumber,
                'role' => $faker->numberBetween(0, 3),
                'address'=> $faker->address,
                'image' => 'https://example.com/default-image.jpg',
                'email' => $faker->unique()->safeEmail,
                'email_verified_at' => now(),
                'password' => Hash::make('12345'),
                'remember_token' => null,
            ]);
        }
        for ($i = 0; $i < 10; $i++) {
            Product::create([
                'productname' => $faker->word,
                'productdescription' => $faker->sentence,
                'productimage' => 'https://example.com/default-image.jpg',
                'price' => $faker->randomFloat(2, 10, 100),
                'discountprice' => $faker->randomFloat(2, 5, 90),
                'sellerid' => $faker->randomNumber(2),
                'created_at' => now(),
                'updated_at' => now(),
    ]);
}
    }
}
